org.apache.calcite.avatica.proto

## Class Requests.PrepareAndExecuteRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>
      - - org.apache.calcite.avatica.proto.Requests.PrepareAndExecuteRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Requests.PrepareAndExecuteRequestOrBuilder

Enclosing class:
  Requests.PrepareAndExecuteRequest

    public static final class Requests.PrepareAndExecuteRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>
    implements Requests.PrepareAndExecuteRequestOrBuilder

     Request for Meta#prepareAndExecute(Meta.StatementHandle, String, long, Meta.PrepareCallback)

Protobuf type `PrepareAndExecuteRequest`

### Field Summary

Fields
`private Object` `connectionId_`
`private int` `firstFrameMaxSize_`
`private long` `maxRowCount_`
`private long` `maxRowsTotal_`
`private Object` `sql_`
`private int` `statementId_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Requests.PrepareAndExecuteRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.PrepareAndExecuteRequest` `build()`
`Requests.PrepareAndExecuteRequest` `buildPartial()`
`Requests.PrepareAndExecuteRequest.Builder` `clear()`
`Requests.PrepareAndExecuteRequest.Builder` `clearConnectionId()` `string connection_id = 1;`
`Requests.PrepareAndExecuteRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Requests.PrepareAndExecuteRequest.Builder` `clearFirstFrameMaxSize()` The maximum number of rows that will be returned in the
`Requests.PrepareAndExecuteRequest.Builder` `clearMaxRowCount()` Deprecated
`Requests.PrepareAndExecuteRequest.Builder` `clearMaxRowsTotal()` The maximum number of rows that will be allowed for this query
`Requests.PrepareAndExecuteRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Requests.PrepareAndExecuteRequest.Builder` `clearSql()` `string sql = 2;`
`Requests.PrepareAndExecuteRequest.Builder` `clearStatementId()` `uint32 statement_id = 4;`
`Requests.PrepareAndExecuteRequest.Builder` `clone()`
`String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`Requests.PrepareAndExecuteRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getFirstFrameMaxSize()` The maximum number of rows that will be returned in the
`long` `getMaxRowCount()` Deprecated
`long` `getMaxRowsTotal()` The maximum number of rows that will be allowed for this query
`String` `getSql()` `string sql = 2;`
`com.google.protobuf.ByteString` `getSqlBytes()` `string sql = 2;`
`int` `getStatementId()` `uint32 statement_id = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Requests.PrepareAndExecuteRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Requests.PrepareAndExecuteRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Requests.PrepareAndExecuteRequest.Builder` `mergeFrom(Requests.PrepareAndExecuteRequest other)`
`Requests.PrepareAndExecuteRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Requests.PrepareAndExecuteRequest.Builder` `setConnectionId(String value)` `string connection_id = 1;`
`Requests.PrepareAndExecuteRequest.Builder` `setConnectionIdBytes(com.google.protobuf.ByteString value)` `string connection_id = 1;`
`Requests.PrepareAndExecuteRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.PrepareAndExecuteRequest.Builder` `setFirstFrameMaxSize(int value)` The maximum number of rows that will be returned in the
`Requests.PrepareAndExecuteRequest.Builder` `setMaxRowCount(long value)` Deprecated
`Requests.PrepareAndExecuteRequest.Builder` `setMaxRowsTotal(long value)` The maximum number of rows that will be allowed for this query
`Requests.PrepareAndExecuteRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Requests.PrepareAndExecuteRequest.Builder` `setSql(String value)` `string sql = 2;`
`Requests.PrepareAndExecuteRequest.Builder` `setSqlBytes(com.google.protobuf.ByteString value)` `string sql = 2;`
`Requests.PrepareAndExecuteRequest.Builder` `setStatementId(int value)` `uint32 statement_id = 4;`
`Requests.PrepareAndExecuteRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### connectionId_

    private Object connectionId_

#### sql_

    private Object sql_

#### maxRowCount_

    private long maxRowCount_

#### statementId_

    private int statementId_

#### maxRowsTotal_

    private long maxRowsTotal_

#### firstFrameMaxSize_

    private int firstFrameMaxSize_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Requests.PrepareAndExecuteRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### getDefaultInstanceForType

    public Requests.PrepareAndExecuteRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Requests.PrepareAndExecuteRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Requests.PrepareAndExecuteRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Requests.PrepareAndExecuteRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### setField

    public Requests.PrepareAndExecuteRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### clearField

    public Requests.PrepareAndExecuteRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### clearOneof

    public Requests.PrepareAndExecuteRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### setRepeatedField

    public Requests.PrepareAndExecuteRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                      int index,
                                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### addRepeatedField

    public Requests.PrepareAndExecuteRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### mergeFrom

    public Requests.PrepareAndExecuteRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### mergeFrom

    public Requests.PrepareAndExecuteRequest.Builder mergeFrom(Requests.PrepareAndExecuteRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### mergeFrom

    public Requests.PrepareAndExecuteRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.PrepareAndExecuteRequest.Builder>`
Throws:
  `IOException`

#### getConnectionId

    public String getConnectionId()

`string connection_id = 1;`

Specified by:
  `getConnectionId` in interface `Requests.PrepareAndExecuteRequestOrBuilder`

#### getConnectionIdBytes

    public com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

Specified by:
  `getConnectionIdBytes` in interface `Requests.PrepareAndExecuteRequestOrBuilder`

#### setConnectionId

    public Requests.PrepareAndExecuteRequest.Builder setConnectionId(String value)

`string connection_id = 1;`

#### clearConnectionId

    public Requests.PrepareAndExecuteRequest.Builder clearConnectionId()

`string connection_id = 1;`

#### setConnectionIdBytes

    public Requests.PrepareAndExecuteRequest.Builder setConnectionIdBytes(com.google.protobuf.ByteString value)

`string connection_id = 1;`

#### getSql

    public String getSql()

`string sql = 2;`

Specified by:
  `getSql` in interface `Requests.PrepareAndExecuteRequestOrBuilder`

#### getSqlBytes

    public com.google.protobuf.ByteString getSqlBytes()

`string sql = 2;`

Specified by:
  `getSqlBytes` in interface `Requests.PrepareAndExecuteRequestOrBuilder`

#### setSql

    public Requests.PrepareAndExecuteRequest.Builder setSql(String value)

`string sql = 2;`

#### clearSql

    public Requests.PrepareAndExecuteRequest.Builder clearSql()

`string sql = 2;`

#### setSqlBytes

    public Requests.PrepareAndExecuteRequest.Builder setSqlBytes(com.google.protobuf.ByteString value)

`string sql = 2;`

#### getMaxRowCount

    public long getMaxRowCount()

     Deprecated

`uint64 max_row_count = 3;`

Specified by:
  `getMaxRowCount` in interface `Requests.PrepareAndExecuteRequestOrBuilder`

#### setMaxRowCount

    public Requests.PrepareAndExecuteRequest.Builder setMaxRowCount(long value)

     Deprecated

`uint64 max_row_count = 3;`

#### clearMaxRowCount

    public Requests.PrepareAndExecuteRequest.Builder clearMaxRowCount()

     Deprecated

`uint64 max_row_count = 3;`

#### getStatementId

    public int getStatementId()

`uint32 statement_id = 4;`

Specified by:
  `getStatementId` in interface `Requests.PrepareAndExecuteRequestOrBuilder`

#### setStatementId

    public Requests.PrepareAndExecuteRequest.Builder setStatementId(int value)

`uint32 statement_id = 4;`

#### clearStatementId

    public Requests.PrepareAndExecuteRequest.Builder clearStatementId()

`uint32 statement_id = 4;`

#### getMaxRowsTotal

    public long getMaxRowsTotal()

     The maximum number of rows that will be allowed for this query

`int64 max_rows_total = 5;`

Specified by:
  `getMaxRowsTotal` in interface `Requests.PrepareAndExecuteRequestOrBuilder`

#### setMaxRowsTotal

    public Requests.PrepareAndExecuteRequest.Builder setMaxRowsTotal(long value)

     The maximum number of rows that will be allowed for this query

`int64 max_rows_total = 5;`

#### clearMaxRowsTotal

    public Requests.PrepareAndExecuteRequest.Builder clearMaxRowsTotal()

     The maximum number of rows that will be allowed for this query

`int64 max_rows_total = 5;`

#### getFirstFrameMaxSize

    public int getFirstFrameMaxSize()

     The maximum number of rows that will be returned in the

`int32 first_frame_max_size = 6;`

Specified by:
  `getFirstFrameMaxSize` in interface `Requests.PrepareAndExecuteRequestOrBuilder`

#### setFirstFrameMaxSize

    public Requests.PrepareAndExecuteRequest.Builder setFirstFrameMaxSize(int value)

     The maximum number of rows that will be returned in the

`int32 first_frame_max_size = 6;`

#### clearFirstFrameMaxSize

    public Requests.PrepareAndExecuteRequest.Builder clearFirstFrameMaxSize()

     The maximum number of rows that will be returned in the

`int32 first_frame_max_size = 6;`

#### setUnknownFields

    public final Requests.PrepareAndExecuteRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`

#### mergeUnknownFields

    public final Requests.PrepareAndExecuteRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.PrepareAndExecuteRequest.Builder>`